#!/bin/sh
. ./build-env.sh

mkdir -p archives
cd archives
wget -N http://http.debian.net/debian/pool/main/l/linux-latest/linux-latest_${lldebva}.tar.gz && \
wget -N http://http.debian.net/debian/pool/main/l/linux-latest/linux-latest_${lldebva}.dsc
cd ..

if [ ! -e linux-latest-${BSP_MODEL} ]; then
  tar xzvf archives/linux-latest_${lldebva}.tar.gz
  mv linux-latest linux-latest-${BSP_MODEL}
fi

if [ -e linux-latest-${BSP_MODEL} ]; then
  cd linux-latest-${BSP_MODEL}

  sed -i s/'linux-headers-'${DEB_MODEL}/'linux-headers-'${BSP_ARCH}/g debian/control
  sed -i s/'linux-headers-'${DEB_ABINAME}-${DEB_MODEL}/'linux-headers-'${BSP_ABINAME}-${BSP_MODEL}/g debian/control
  sed -i s/'linux-image-'${DEB_MODEL}/'linux-image-'${BSP_ARCH}/g debian/control

  sed -i s/'linux-image-'${DEB_ABINAME}-${DEB_MODEL}/'linux-image-'${BSP_ABINAME}-${BSP_MODEL}/g debian/control
  sed -i s/'linux-latest-modules-'${DEB_ABINAME}-${DEB_MODEL}/'linux-latest-modules-'${BSP_ABINAME}-${BSP_MODEL}/g debian/control

  sed -i s/'linux-headers-'${DEB_MODEL}/'linux-headers-'${BSP_ARCH}/g debian/rules*
  sed -i s/'linux-image-'${DEB_MODEL}/'linux-image-'${BSP_ARCH}/g debian/rules*
  sed -i s/'_'${BSP_ARCH}'_none_'${DEB_MODEL}/'_'${BSP_ARCH}'_none_'${BSP_ARCH}/g debian/rules*

  sed -i "s/FLAVOUR='"${DEB_MODEL}"'/FLAVOUR='"${BSP_MODEL}"'/g" debian/rules*
  sed -i "s/LOCALVERSION='-"${DEB_MODEL}"'/LOCALVERSION='-"${BSP_MODEL}"'/g" debian/rules*

  fakeroot make -f debian/rules debian/control debian/rules.gen
  fakeroot make -j4 -f debian/rules.gen binary-arch_${BSP_ARCH}_none_${BSP_ARCH}_real

  cd ..
fi

